Skip to main content
GET
/
charts
/
{marketId}
/
aggregate
Get aggregate chart for a canonical market
curl --request GET \
  --url https://api.agg.market/charts/{marketId}/aggregate \
  --header 'x-app-id: <api-key>'
{
  "marketId": "<string>",
  "candles": [
    {
      "t": 123,
      "o": 123,
      "h": 123,
      "l": 123,
      "c": 123,
      "v": 123
    }
  ],
  "matchedMarkets": [
    {
      "venue": "<string>",
      "marketId": "<string>"
    }
  ]
}

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Path Parameters

marketId
string
required

Query Parameters

interval
enum<string>
Available options:
1m,
5m,
1h,
1d
startTs
number | null
required
endTs
number | null
required
limit
integer
Required range: 1 <= x <= 2000

Response

200

marketId
string
required
candles
object[]
required
matchedMarkets
object[]
required